Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class JMProperty

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.JMProperty

public class JMProperty
extends java.lang.Object

Properties defined in jfoxmx

Author:
  Young Yang

Field Summary
`static java.lang.String` | `JMX_ATTRIBUTE_DESCRIPTION`
`static java.lang.String` | `JMX_CONSTRUCTOR_DESCRIPTION`
`static java.lang.String` | `JMX_IMPLEMENTATION_DOMAIN`
`static java.lang.String` | `JMX_IMPLEMENTATION_NAME`
`static java.lang.String` | `JMX_IMPLEMENTATION_VENDOR`
`static java.lang.String` | `JMX_IMPLEMENTATION_VERSION`
`static java.lang.String` | `JMX_MBEAN_DESCRIPTION`
`static java.lang.String` | `JMX_MBEANINFO_DESCRIPTION`
`static java.lang.String` | `JMX_MBeanServerDelegate_NAME`
`static java.lang.String` | `JMX_OPERATION_DESCRIPTION`
`static java.lang.String` | `JMX_SPECIFICATION_NAME`
`static java.lang.String` | `JMX_SPECIFICATION_VENDOR`
`static java.lang.String` | `JMX_SPECIFICATION_VERSION`
`static java.lang.String` | `JMX_StandardMBean_SUFFIX`

Constructor Summary
`JMProperty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMX_SPECIFICATION_NAME

    public static final java.lang.String JMX_SPECIFICATION_NAME

See Also:
  Constant Field Values

### JMX_SPECIFICATION_VERSION

    public static final java.lang.String JMX_SPECIFICATION_VERSION

See Also:
  Constant Field Values

### JMX_SPECIFICATION_VENDOR

    public static final java.lang.String JMX_SPECIFICATION_VENDOR

See Also:
  Constant Field Values

### JMX_IMPLEMENTATION_NAME

    public static final java.lang.String JMX_IMPLEMENTATION_NAME

See Also:
  Constant Field Values

### JMX_IMPLEMENTATION_VENDOR

    public static final java.lang.String JMX_IMPLEMENTATION_VENDOR

See Also:
  Constant Field Values

### JMX_IMPLEMENTATION_VERSION

    public static final java.lang.String JMX_IMPLEMENTATION_VERSION

See Also:
  Constant Field Values

### JMX_IMPLEMENTATION_DOMAIN

    public static final java.lang.String JMX_IMPLEMENTATION_DOMAIN

See Also:
  Constant Field Values

### JMX_MBeanServerDelegate_NAME

    public static final java.lang.String JMX_MBeanServerDelegate_NAME

See Also:
  Constant Field Values

### JMX_StandardMBean_SUFFIX

    public static final java.lang.String JMX_StandardMBean_SUFFIX

See Also:
  Constant Field Values

### JMX_MBEANINFO_DESCRIPTION

    public static final java.lang.String JMX_MBEANINFO_DESCRIPTION

See Also:
  Constant Field Values

### JMX_MBEAN_DESCRIPTION

    public static final java.lang.String JMX_MBEAN_DESCRIPTION

See Also:
  Constant Field Values

### JMX_CONSTRUCTOR_DESCRIPTION

    public static final java.lang.String JMX_CONSTRUCTOR_DESCRIPTION

See Also:
  Constant Field Values

### JMX_ATTRIBUTE_DESCRIPTION

    public static final java.lang.String JMX_ATTRIBUTE_DESCRIPTION

See Also:
  Constant Field Values

### JMX_OPERATION_DESCRIPTION

    public static final java.lang.String JMX_OPERATION_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### JMProperty

    public JMProperty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD